stages:
  - merging-test

test-main-🧪:
  stage: merging-test
  image: maven:latest
  services:
    - postgres
  only:
    - merge_requests
  variables:
    spring_datasource_url: jdbc:postgresql://postgres:5432/postgres
    spring_datasource_username: postgres
    spring_datasource_password: postgres
    POSTGRES_USER: postgres
    POSTGRES_PASSWORD: postgres
    POSTGRES_DB: postgres
    POSTGRES_HOST_AUTH_METHOD: trust
  script:
    - cd mainService
    - mvn clean test

test-bank-🧪:
  stage: merging-test
  image: maven:latest
  only:
    - merge_requests
  script:
    - cd bankService
    - mvn clean test
